# Welcome to steam.py's documentation!

steam.py is a modern, easy to use, and async ready API wrapper for the Steam API and its CMs. Heavily inspired by
[discord.py](https://github.com/Rapptz/discord.py) and borrowing functionality from
[ValvePython/steam](https://github.com/ValvePython/steam).

## Key Features

- Modern Pythonic API using `async`/`await` syntax
- Command extension to aid with bot creation
- Easy to use with an object-oriented design
- Fully typed hinted for faster development

## Getting help

- These are good pages to start with if it's your first time see {doc}`quickstart` & {doc}`faq`
- Ask us in our {resource}`discord <discord>` server.
- If you're looking for something specific, try the {ref}`index <genindex>` or {ref}`searching <search>`.
- Report bugs in the {resource}`issue tracker <issues>`.

## API references

Pages detailing the API.

```{toctree}
:maxdepth: 1

steam API Reference <api>
steam.ext.commands API Reference <ext/commands/api.rst>
```

## Extensions

steam.py has extension modules to help with common tasks.

```{toctree}
:maxdepth: 1

ext/commands/index.rst
```
